package de.intevation.flys.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.apache.log4j.Logger;


@Entity
@Table(name = "waterlevel_difference_values")
public class WaterlevelDifferenceValue
implements   Serializable
{
    private static Logger logger =
        Logger.getLogger(WaterlevelDifferenceValue.class);


    private Integer id;

    private WaterlevelDifferenceColumn column;

    private Double station;
    private Double value;


    public WaterlevelDifferenceValue() {
    }

    public WaterlevelDifferenceValue(
        WaterlevelDifferenceColumn column,
        Double                     station,
        Double                     value
    ) {
        this.column  = column;
        this.station = station;
        this.value   = value;
    }


    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_WATERLEVEL_DIFF_VALUES_ID_SEQ",
        sequenceName   = "WATERLEVEL_DIFF_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_WATERLEVEL_DIFF_VALUES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @OneToOne
    @JoinColumn(name = "column_id" )
    public WaterlevelDifferenceColumn getColumn() {
        return column;
    }

    public void setColumn(WaterlevelDifferenceColumn column) {
        this.column = column;
    }

    @Column(name = "station")
    public Double getStation() {
        return station;
    }

    public void setStation(Double station) {
        this.station = station;
    }

    @Column(name = "value")
    public Double getValue() {
        return value;
    }

    public void setValues(Double value) {
        this.value = value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
